/***************************************************************************
                          game.h  -  game class header file
                             -------------------
    begin                : Thu Sep 19 2002
    copyright            : (C) 2002 by Andrew D. Balsa
    email                : andrebalsa@mailingaddress.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GAME_H
#define GAME_H

/* Seed for Random Number Generator */
#define RANDOM_SEED 22


// Class game

class game {

public:
   int kox, koy;           /* coords of current ko, or negative for none */
   int pla;                /* code for next player to play */
   int tur;                /* the number of this move */

   int wx;                 /* x coordinate of last move generated by engine */
   int wy;                 /* y coordinate of last move generated by engine */

   string wmove;           /* vertex in letternumber format of last move by engine */
   
   float komi;             /* komi value for this game */
   
   int blackHandicap;      /* number of handicap stones for Black */

   int wallyColor;         /* BLACK if wally is playing black, WHITE otherwise */

   int qpa;                /* flag for the last move was a pass, so that if this */
                           /* move is a pass, the game is finished */

   int boardSize;          /* Size of board which we are using */
                           /* (an optional command line parameter) */
                           /* default = 9 */

   int capturedBlack;      /* Number of black stones that White has captured */

   int capturedWhite;      /* Number of white stones that Black has captured */

   int territoryBlack;     /* Estimated Black territory */

   int territoryWhite;     /* Estimated White territory */
};

#endif // GAME_H
